<div [style.border-color]="'#' + brick.color.rgb"
     class="brick">
  <div [style.background-color]="'#' + brick.color.rgb" class="brick__quantity">
    <span class="brick__quantity-text">{{ brick.quantity }}</span>
  </div>
  @if (brick.color.is_trans) {
    <span class="brick__transparent">transparent</span>
  }
  <div class="checkbox"></div>
  <div [style.background-image]="'url(' + brick.part.part_img_url + ')'" class="brick__image"></div>
  <div class="brick__name">{{ brick.part.name }}</div>
  <div [style.background-color]="'#' + brick.color.rgb"
       class="brick__color">
    <span class="brick__color-name">{{ brick.element_id }}</span>
  </div>
</div>
